Package org.apache.sysds.utils

# Interface SettingsChecker

public interface SettingsChecker
Settings Checker class that contains checks for the JVM setting of systemds when executed. These checks helps users configure systemds correctly in case the settings were incorrectly set.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.apache.commons.logging.Log`
`LOG`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static String`
`byteMemoryToString(long bytes)`
Converts a number of bytes in a long to a human readable string with GB, MB, KB and B.
`static void`
`check()`
Check if the settings set are correct, otherwise write warnings to a user.
`static void`
`checkMemorySetting()`
`static long`
`maxMemMachine()`

## Field Details

### LOG

static final org.apache.commons.logging.Log LOG

## Method Details

### check

static void check()
Check if the settings set are correct, otherwise write warnings to a user.

### checkMemorySetting

static void checkMemorySetting()

### maxMemMachine

static long maxMemMachine()

### byteMemoryToString

static String byteMemoryToString(long bytes)
Converts a number of bytes in a long to a human readable string with GB, MB, KB and B.

Parameters:
  `bytes` - Number of bytes.
Returns:
  A human readable string